Cancel Prior Auth Submission By Id
curl --request POST \
--url https://api.develophealth.ai/prior-authorization/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cancellation_reason": "<string>"
}
'import requests
url = "https://api.develophealth.ai/prior-authorization/{id}/cancel"
payload = { "cancellation_reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cancellation_reason: '<string>'})
};
fetch('https://api.develophealth.ai/prior-authorization/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"detail": "Cannot cancel a prior authorization request with status: COMPLETED"
}{
"detail": "Prior Authorization Request does not exist."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Prior Authorization
Cancel Prior Authorization
Cancel a prior authorization request.
The request must not already be in a terminal state (completed, failed,
or cancelled). Requires a cancellation_reason payload which is stored
for analytics.
POST
/
prior-authorization
/
{id}
/
cancel
Cancel Prior Auth Submission By Id
Overview
Cancel an in-progress prior authorization request.API errors
| HTTP status | Meaning |
|---|---|
400 | The PA is already in a terminal state: completed, failed, not_submitted, or cancelled. |
404 | The PA does not exist or is not visible to the authenticated organization. |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request to cancel a prior authorization.
Reason for cancellation. This is used for analytics purposes.
Minimum string length:
1Response
Successfully cancelled a prior authorization
Represents the response structure for a POST /prior-authorization/:id/cancellation request.
This response is returned when a prior authorization is successfully cancelled.